#pragma once

class CLinkProps
{
public:
	CLinkProps() : m_pColor(0), m_bUnderline(false), m_uiCount(0) {}
	CLinkProps(CXfComplexColor* pc, bool bu, UINT cnt) : m_pColor(pc), m_bUnderline(bu), m_uiCount(cnt) {}
	bool operator==(const CLinkProps& other)
	{
		bool bColorSame = (!m_pColor && !other.m_pColor) || m_pColor->Compare(other.m_pColor);
		return bColorSame && (m_bUnderline == other.m_bUnderline);
	}
	static int CalculateValuableTextLength(std::wstring str);

	CXfComplexColor*	m_pColor;
	bool				m_bUnderline;
	UINT				m_uiCount;
};

