#pragma once

class XarOutputSettings
{
public:
	XarOutputSettings() : 
		bTextAsOutline(false), 
		bLoadEmbeddedGlyphs(true), 
		bNoRemoveClipview(false), 
		bNoBase14Substitution(false),
		bDumpData(false), 
		bReconstructKerningPairs(false),
		bAlwaysUseEmbeddedFonts(false),
		bRemoveSmallKerns(false),
		bUseOldConverter(false),
		bRasterize(false),
		bIgnoreGraphics(false),
		bLinks(false),
		bRawFontNames(false),
		iMaxStoryCount(5),
		bDumpGlyphDiffs(false),
		bDumpEmbeddedFonts(false),
		bNoLayers(false)
	{}
	bool bTextAsOutline;
	bool bNoRemoveClipview;
	bool bNoBase14Substitution;
	bool bReconstructKerningPairs;
	bool bAlwaysUseEmbeddedFonts;
	bool bRemoveSmallKerns;
	bool bLoadEmbeddedGlyphs;
	bool bDumpData;
	bool bUseOldConverter;
	bool bRasterize;
	bool bIgnoreGraphics;
	bool bLinks;
	bool bRawFontNames;
	std::wstring strPages;
	int iMaxStoryCount;
	bool bDumpGlyphDiffs;
	bool bDumpEmbeddedFonts;
	bool bNoLayers;
};

extern XarOutputSettings g_settings;
