/* ================================XARAHEADERSTART===========================
 
               PDF2XAR, a PDF file to XAR file converter
                    Copyright (C) 1993-2014 Xara Group Ltd.
       Copyright on certain contributions may be held in joint with their
              respective authors. 


LICENSE TO USE AND MODIFY SOFTWARE
----------------------------------

This file is part of PDF2XAR.

PDF2XAR is free software; you can redistribute it and/or modify it under the 
terms of the GNU General Public License version 2 or version 3 as published
by the Free Software Foundation.

PDF2XAR and its component source files are distributed in the hope
that it will be useful, but WITHOUT ANY WARRANTY; without even the
implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along
with PDF2XAR (see the file GPL in the root directory of the
distribution); if not, write to the Free Software Foundation, Inc., 51
Franklin St, Fifth Floor, Boston, MA  02110-1301 USA

SCOPE OF LICENSE
----------------

This license applies to this program (PDF2XAR) and its constituent source
files only, and does not apply to other Xara products which may
in part share the same code base, and are subject to their own licensing
terms.

This license does not apply to the binary libraries (if any) within
the "libs" directory, which are subject to a separate license contained
within that directory in the file "LIBS-LICENSE".


ARRANGEMENTS FOR CONTRIBUTION OF MODIFICATIONS
----------------------------------------------

If you wish to contribute modifications please contact Xara via 
www.xara.com/contact

Please note that Xara will not accept modifications which modify any of
the text between the start and end of this header (marked
XARAHEADERSTART and XARAHEADEREND).

MARKS
-----

Xara, PDF2XAR, Xara Web Designer, Xara Photo & Graphic Designer, Xara Page & 
Layout Designer, Xara Designer Pro and Xara designs are trademarks, design-marks, 
and/or service marks of Xara Group Ltd. All rights in these marks are reserved.


      Xara Group Ltd, Gaddesden Place, Hemel Hempstead, HP2 6EX, UK.
                        http://www.xara.com/

=================================XARAHEADEREND============================*/
// Default dash pattern definitions for the v2 file format
// These are the built in dash patterns that can be referred to by just their reference number
// as they are assumed to be built in.
// As with all other default references, all their numbers go from -1 downwards i.e. more negative
// and hence occupy the negative range of a LONG record number.

#define REF_DASH_1			(-1)
#define REF_DASH_2			(-2)
#define REF_DASH_3			(-3)
#define REF_DASH_4			(-4)
#define REF_DASH_5			(-5)
#define REF_DASH_6			(-6)
#define REF_DASH_7			(-7)
#define REF_DASH_8			(-8)
#define REF_DASH_9			(-9)
#define REF_DASH_10			(-10)
#define REF_DASH_11			(-11)
#define REF_DASH_12			(-12)
#define REF_DASH_13			(-13)
#define REF_DASH_14			(-14)
#define REF_DASH_15			(-15)
#define REF_DASH_16			(-16)
#define REF_DASH_17			(-17)
#define REF_DASH_18			(-18)
#define REF_DASH_19			(-19)
#define REF_DASH_20			(-20)
#define REF_DASH_SOLID		(-21)
#define REF_DASH_GUIDELAYER	(-22)
