#include "StdAfx.h"

struct SGlyphName2UniMap 
{
	char *name;
	int unicode;
};

const SGlyphName2UniMap g_GlyphName2Uni[] =
{
	{ "pencil", 0x270F }, 
	{ "scissors", 0x2702 }, 
	{ "scissorscutting", 0x2701 }, 
	{ "readingglasses", 0x1F453 }, 
	{ "bell", 0x1F56D }, 
	{ "book", 0x1F56E }, 
	{ "candle", 0x1F56F }, 
	{ "telephonesolid", 0x1F57F }, 
	{ "telhandsetcirc", 0x2706 }, 
	{ "envelopeback", 0x1F582 }, 
	{ "envelopefront", 0x1F583 }, 
	{ "mailboxflagdwn", 0x1F4EA }, 
	{ "mailboxflagup", 0x1F4EB }, 
	{ "mailbxopnflgup", 0x1F4EC }, 
	{ "mailbxopnflgdwn", 0x1F4ED }, 
	{ "folder", 0x1F4C1 }, 
	{ "folderopen", 0x1F4C2 }, 
	{ "filetalltext1", 0x1F4C4 }, 
	{ "filetalltext", 0x1F5CF }, 
	{ "filetalltext3", 0x1F5D0 }, 
	{ "filecabinet", 0x1F5C4 }, 
	{ "hourglass", 0x231B }, 
	{ "keyboard", 0x1F5AE }, 
	{ "mouse2button", 0x1F5B0 }, 
	{ "ballpoint", 0x1F5B2 }, 
	{ "pc", 0x1F5B3 }, 
	{ "harddisk", 0x1F5B4 }, 
	{ "floppy3", 0x1F5AB }, 
	{ "floppy5", 0x1F5AC }, 
	{ "tapereel", 0x2707 }, 
	{ "handwrite", 0x270D }, 
	{ "handv", 0x270C }, 
	{ "handok", 0x1F44C }, 
	{ "thumbup", 0x1F44D }, 
	{ "thumbdown", 0x1F44E }, 
	{ "handptleft", 0x261C }, 
	{ "handptright", 0x261E }, 
	{ "handptup", 0x261D }, 
	{ "handptdown", 0x261F }, 
	{ "handhalt", 0x270B }, 
	{ "smileface", 0x263A }, 
	{ "neutralface", 0x1F610 }, 
	{ "frownface", 0x2639 }, 
	{ "bomb", 0x1F4A3 }, 
	{ "skullcrossbones", 0x2620 }, 
	{ "flag", 0x2690 }, 
	{ "pennant", 0x1F3F1 }, 
	{ "airplane", 0x2708 }, 
	{ "sunshine", 0x263C }, 
	{ "droplet", 0x1F4A7 }, 
	{ "snowflake", 0x2744 }, 
	{ "crossoutline", 0x1F546 }, 
	{ "crossshadow", 0x271E }, 
	{ "crossceltic", 0x1F548 }, 
	{ "crossmaltese", 0x2720 }, 
	{ "starofdavid", 0x2721 }, 
	{ "crescentstar", 0x262A }, 
	{ "yinyang", 0x262F }, 
	{ "om", 0x0950 }, 
	{ "wheel", 0x2638 }, 
	{ "aries", 0x2648 }, 
	{ "taurus", 0x2649 }, 
	{ "gemini", 0x264A }, 
	{ "cancer", 0x264B }, 
	{ "leo", 0x264C }, 
	{ "virgo", 0x264D }, 
	{ "libra", 0x264E }, 
	{ "scorpio", 0x264F }, 
	{ "saggitarius", 0x2650 }, 
	{ "capricorn", 0x2651 }, 
	{ "aquarius", 0x2652 }, 
	{ "pisces", 0x2653 }, 
	{ "ampersanditlc", 0x0026 }, 
	{ "ampersandit", 0x0026 }, 
	{ "circle6", 0x25CF }, 
	{ "circleshadowdwn", 0x274D }, 
	{ "square6", 0x25A0 }, 
	{ "box3", 0x25A1 }, 
	{ "boxshadowdwn", 0x2751 }, 
	{ "boxshadowup", 0x2752 }, 
	{ "lozenge4", 0x2B27 }, 
	{ "lozenge6", 0x29EB }, 
	{ "rhombus6", 0x25C6 }, 
	{ "xrhombus", 0x2756 }, 
	{ "rhombus4", 0x2B25 }, 
	{ "clear", 0x2327 }, 
	{ "escape", 0x2353 }, 
	{ "command", 0x2318 }, 
	{ "rosette", 0x2740 }, 
	{ "rosettesolid", 0x273F }, 
	{ "quotedbllftbld", 0x275D }, 
	{ "quotedblrtbld", 0x275E }, 
	//{ ".notdef", 0x25AF }, 
	{ "zerosans", 0x24EA }, 
	{ "onesans", 0x2460 }, 
	{ "twosans", 0x2461 }, 
	{ "threesans", 0x2462 }, 
	{ "foursans", 0x2463 }, 
	{ "fivesans", 0x2464 }, 
	{ "sixsans", 0x2465 }, 
	{ "sevensans", 0x2466 }, 
	{ "eightsans", 0x2467 }, 
	{ "ninesans", 0x2468 }, 
	{ "tensans", 0x2469 }, 
	{ "zerosansinv", 0x24FF }, 
	{ "onesansinv", 0x2776 }, 
	{ "twosansinv", 0x2777 }, 
	{ "threesansinv", 0x2778 }, 
	{ "foursansinv", 0x2779 }, 
	{ "fivesansinv", 0x277A }, 
	{ "sixsansinv", 0x277B }, 
	{ "sevensansinv", 0x277C }, 
	{ "eightsansinv", 0x277D }, 
	{ "ninesansinv", 0x277E }, 
	{ "tensansinv", 0x277F }, 
	{ "circle2", 0x00B7 }, 
	{ "circle4", 0x2022 }, 
	{ "square2", 0x25AA }, 
	{ "ring2", 0x25CB }, 
	{ "ring4", 0x2B55 }, 
	{ "ringbutton2", 0x25C9 }, 
	{ "target", 0x25CE }, 
	{ "square4", 0x25AA }, 
	{ "box2", 0x25FB }, 
	{ "crosstar2", 0x2726 }, 
	{ "pentastar2", 0x2605 }, 
	{ "hexstar2", 0x2736 }, 
	{ "octastar2", 0x2734 }, 
	{ "dodecastar3", 0x2739 }, 
	{ "octastar4", 0x2735 }, 
	{ "registercircle", 0x2316 }, 
	{ "cuspopen", 0x27E1 }, 
	{ "cuspopen1", 0x2311 }, 
	{ "circlestar", 0x272A }, 
	{ "starshadow", 0x2730 }, 
	{ "oneoclock", 0x1F550 }, 
	{ "twooclock", 0x1F551 }, 
	{ "threeoclock", 0x1F552 }, 
	{ "fouroclock", 0x1F553 }, 
	{ "fiveoclock", 0x1F554 }, 
	{ "sixoclock", 0x1F555 }, 
	{ "sevenoclock", 0x1F556 }, 
	{ "eightoclock", 0x1F557 }, 
	{ "nineoclock", 0x1F558 }, 
	{ "tenoclock", 0x1F559 }, 
	{ "elevenoclock", 0x1F55A }, 
	{ "twelveoclock", 0x1F55B }, 
	{ "deleteleft", 0x232B }, 
	{ "deleteright", 0x2326 }, 
	{ "head2right", 0x27A2 }, 
	{ "circleright", 0x27B2 }, 
	{ "barb4right", 0x2794 }, 
	{ "bleft", 0x21E6 }, 
	{ "bright", 0x21E8 }, 
	{ "bup", 0x21E7 }, 
	{ "bdown", 0x21E9 }, 
	{ "bleftright", 0x2B04 }, 
	{ "bupdown", 0x21F3 }, 
	{ "bnw", 0x2B00 }, 
	{ "bne", 0x2B01 }, 
	{ "bsw", 0x2B03 }, 
	{ "bse", 0x2B02 }, 
	{ "bdash1", 0x25AD }, 
	{ "bdash2", 0x25AB }, 
	{ "xmarkbld", 0x2717 }, 
	{ "checkbld", 0x2713 }, 
	{ "boxxmarkbld", 0x2612 }, 
	{ "boxcheckbld", 0x2611 }, 
	{ "boxcheckbld", 0x2611 },
	// Math symbols taken from https://hackage.haskell.org/package/pdf-toolbox-content-0.0.3.2/docs/src/Pdf-Toolbox-Content-TexGlyphList.html
	{ "Delta", 0x2206 },
	{ "Ifractur", 0x2111 },
	{ "FFsmall", 0xF766 },
	{ "FFIsmall", 0xF766 },
	{ "FFLsmall", 0xF766 },
	{ "FIsmall", 0xF766 },
	{ "FLsmall", 0xF766 },
	{ "Germandbls", 0x0053 },
	{ "Germandblssmall", 0xF773 },
	{ "Ng", 0x014A },
	{ "Omega", 0x2126 },
	{ "Rfractur", 0x211C },
	{ "SS", 0x0053 },
	{ "SSsmall", 0xF773 },
	{ "altselector", 0xD802 },
	{ "angbracketleft", 0x27E8 },
	{ "angbracketright", 0x27E9 },
	{ "arrowbothv", 0x2195 },
	{ "arrowdblbothv", 0x21D5 },
	{ "arrowleftbothalf", 0x21BD },
	{ "arrowlefttophalf", 0x21BC },
	{ "arrownortheast", 0x2197 },
	{ "arrownorthwest", 0x2196 },
	{ "arrowrightbothalf", 0x21C1 },
	{ "arrowrighttophalf", 0x21C0 },
	{ "arrowsoutheast", 0x2198 },
	{ "arrowsouthwest", 0x2199 },
	{ "ascendercompwordmark", 0xD80A },
	{ "asteriskcentered", 0x2217 },
	{ "bardbl", 0x2225 },
	{ "capitalcompwordmark", 0xD809 },
	{ "ceilingleft", 0x2308 },
	{ "ceilingright", 0x2309 },
	{ "circlecopyrt", 0x20DD },
	{ "circledivide", 0x2298 },
	{ "circledot", 0x2299 },
	{ "circleminus", 0x2296 },
	{ "coproduct", 0x2A3F },
	{ "ct", 0x0063 },
	{ "cwm", 0x200C },
	{ "dblbracketleft", 0x27E6 },
	{ "dblbracketright", 0x27E7 },
	{ "diamond", 0x2662 },
	{ "diamondmath", 0x22C4 },
	{ "dotlessj", 0x0237 },
	{ "emptyset", 0x2205 },
	{ "emptyslot", 0xD801 },
	{ "epsilon1", 0x03F5 },
	{ "epsiloninv", 0x03F6 },
	{ "equivasymptotic", 0x224D },
	{ "flat", 0x266D },
	{ "floorleft", 0x230A },
	{ "floorright", 0x230B },
	{ "follows", 0x227B },
	{ "followsequal", 0x2AB0 },
	{ "followsorcurly", 0x227D },
	{ "greatermuch", 0x226B },
	{ "heart", 0x2661 },
	{ "interrobang", 0x203D },
	{ "interrobangdown", 0x2E18 },
	{ "intersectionsq", 0x2293 },
	{ "latticetop", 0x22A4 },
	{ "lessmuch", 0x226A },
	{ "longdbls", 0x017F },
	{ "longsh", 0x017F },
	{ "longsi", 0x017F },
	{ "longsl", 0x017F },
	{ "longst", 0xFB05 },
	{ "lscript", 0x2113 },
	{ "natural", 0x266E },
	{ "negationslash", 0x0338 },
	{ "ng", 0x014B },
	{ "owner", 0x220B },
	{ "pertenthousand", 0x2031 },
	{ "phi", 0x03D5 },
	{ "phi1", 0x03C6 },
	{ "pi1", 0x03D6 },
	{ "precedesequal", 0x2AAF },
	{ "precedesorcurly", 0x227C },
	{ "prime", 0x2032 },
	{ "rho1", 0x03F1 },
	{ "ringfitted", 0xD80D },
	{ "sharp", 0x266F },
	{ "similarequal", 0x2243 },
	{ "slurabove", 0x2322 },
	{ "slurbelow", 0x2323 },
	{ "st", 0xFB06 },
	{ "star", 0x22C6 },
	{ "subsetsqequal", 0x2291 },
	{ "supersetsqequal", 0x2292 },
	{ "triangle", 0x25B3 },
	{ "triangleinv", 0x25BD },
	{ "triangleleft", 0x25C1 },
	{ "triangleright", 0x25B7 },
	{ "turnstileleft", 0x22A2 },
	{ "turnstileright", 0x22A3 },
	{ "twelveudash", 0xD80C },
	{ "unionmulti", 0x228E },
	{ "unionsq", 0x2294 },
	{ "vector", 0x20D7 },
	{ "visualspace", 0x2423 },
	{ "wreathproduct", 0x2240 },
	{ "Dbar", 0x0110 },
	{ "compwordmark", 0x200C },
	{ "dbar", 0x0111 },
	{ "rangedash", 0x2013 },
	{ "hyphenchar", 0x002D },
	{ "punctdash", 0x2014 },
	{ "visiblespace", 0x2423 },
	{ "Yen", 0x00A5 },
	{ "anticlockwise", 0x27F2 },
	{ "arrowparrleftright", 0x21C6 },
	{ "arrowparrrightleft", 0x21C4 },
	{ "arrowtailleft", 0x21A2 },
	{ "arrowtailright", 0x21A3 },
	{ "arrowtripleleft", 0x21DA },
	{ "arrowtripleright", 0x21DB },
	{ "between", 0x226C },
	{ "check", 0x2713 },
	{ "circleR", 0x00AE },
	{ "circleS", 0x24C8 },
	{ "circleasterisk", 0x229B },
	{ "circleequal", 0x229C },
	{ "circlering", 0x229A },
	{ "clockwise", 0x27F3 },
	{ "complement", 0x2201 },
	{ "curlyleft", 0x21AB },
	{ "curlyright", 0x21AC },
	{ "dblarrowdwn", 0x21CA },
	{ "dblarrowheadleft", 0x219E },
	{ "dblarrowheadright", 0x21A0 },
	{ "dblarrowup", 0x21C8 },
	{ "defines", 0x225C },
	{ "diamondsolid", 0x2666 },
	{ "difference", 0x224F },
	{ "dotplus", 0x2214 },
	{ "downfall", 0x22CE },
	{ "equaldotleftright", 0x2252 },
	{ "equaldotrightleft", 0x2253 },
	{ "equalorfollows", 0x22DF },
	{ "equalorgreater", 0x2A96 },
	{ "equalorless", 0x2A95 },
	{ "equalorprecedes", 0x22DE },
	{ "equalsdots", 0x2251 },
	{ "followsorequal", 0x227F },
	{ "forces", 0x22A9 },
	{ "forcesbar", 0x22AA },
	{ "fork", 0x22D4 },
	{ "frown", 0x2322 },
	{ "geomequivalent", 0x224E },
	{ "greaterdbleqlless", 0x2A8C },
	{ "greaterdblequal", 0x2267 },
	{ "greaterlessequal", 0x22DB },
	{ "greaterorapproxeql", 0x2A86 },
	{ "greaterorequalslant", 0x2A7E },
	{ "greaterorsimilar", 0x2273 },
	{ "harpoondownleft", 0x21C3 },
	{ "harpoondownright", 0x21C2 },
	{ "harpoonleftright", 0x21CC },
	{ "harpoonrightleft", 0x21CB },
	{ "harpoonupleft", 0x21BF },
	{ "harpoonupright", 0x21BE },
	{ "intercal", 0x22BA },
	{ "intersectiondbl", 0x22D2 },
	{ "lessdbleqlgreater", 0x2A8B },
	{ "lessdblequal", 0x2266 },
	{ "lessequalgreater", 0x22DA },
	{ "lessorapproxeql", 0x2A85 },
	{ "lessorequalslant", 0x2A7D },
	{ "lessorsimilar", 0x2272 },
	{ "maltesecross", 0x2720 },
	{ "measuredangle", 0x2221 },
	{ "multimap", 0x22B8 },
	{ "multiopenleft", 0x22CB },
	{ "multiopenright", 0x22CC },
	{ "nand", 0x22BC },
	{ "orunderscore", 0x22BB },
	{ "perpcorrespond", 0x2A5E },
	{ "precedesorequal", 0x227E },
	{ "primereverse", 0x2035 },
	{ "revasymptequal", 0x22CD },
	{ "revsimilar", 0x223D },
	{ "rightanglene", 0x231D },
	{ "rightanglenw", 0x231C },
	{ "rightanglese", 0x231F },
	{ "rightanglesw", 0x231E },
	{ "ringinequal", 0x2256 },
	{ "satisfies", 0x22A8 },
	{ "shiftleft", 0x21B0 },
	{ "shiftright", 0x21B1 },
	{ "smile", 0x2323 },
	{ "sphericalangle", 0x2222 },
	{ "square", 0x25A1 },
	{ "squaredot", 0x22A1 },
	{ "squareimage", 0x228F },
	{ "squareminus", 0x229F },
	{ "squaremultiply", 0x22A0 },
	{ "squareoriginal", 0x2290 },
	{ "squareplus", 0x229E },
	{ "squaresolid", 0x25A0 },
	{ "squiggleleftright", 0x21AD },
	{ "squiggleright", 0x21DD },
	{ "subsetdbl", 0x22D0 },
	{ "subsetdblequal", 0x2AC5 },
	{ "supersetdbl", 0x22D1 },
	{ "supersetdblequal", 0x2AC6 },
	{ "triangledownsld", 0x25BC },
	{ "triangleleftequal", 0x22B4 },
	{ "triangleleftsld", 0x25C0 },
	{ "trianglerightequal", 0x22B5 },
	{ "trianglerightsld", 0x25B6 },
	{ "trianglesolid", 0x25B2 },
	{ "uniondbl", 0x22D3 },
	{ "uprise", 0x22CF },
	{ "Digamma", 0x1D7CB },
	{ "Finv", 0x2132 },
	{ "Gmir", 0x2141 },
	{ "Omegainv", 0x2127 },
	{ "approxorequal", 0x224A },
	{ "archleftdown", 0x21B6 },
	{ "archrightdown", 0x21B7 },
	{ "beth", 0x2136 },
	{ "daleth", 0x2138 },
	{ "dividemultiply", 0x22C7 },
	{ "downslope", 0x29F9 },
	{ "equalorsimilar", 0x2242 },
	{ "follownotdbleqv", 0x2ABA },
	{ "follownotslnteql", 0x2AB6 },
	{ "followornoteqvlnt", 0x22E9 },
	{ "greaterdot", 0x22D7 },
	{ "greaternotdblequal", 0x2A8A },
	{ "greaternotequal", 0x2A88 },
	{ "greaterornotdbleql", 0x2269 },
	{ "greaterornotequal", 0x2269 },
	{ "integerdivide", 0x2216 },
	{ "lessdot", 0x22D6 },
	{ "lessnotdblequal", 0x2A89 },
	{ "lessnotequal", 0x2A87 },
	{ "lessornotdbleql", 0x2268 },
	{ "lessornotequal", 0x2268 },
	{ "multicloseleft", 0x22C9 },
	{ "multicloseright", 0x22CA },
	{ "notapproxequal", 0x2247 },
	{ "notarrowboth", 0x21AE },
	{ "notarrowleft", 0x219A },
	{ "notarrowright", 0x219B },
	{ "notbar", 0x2224 },
	{ "notdblarrowboth", 0x21CE },
	{ "notdblarrowleft", 0x21CD },
	{ "notdblarrowright", 0x21CF },
	{ "notexistential", 0x2204 },
	{ "notfollows", 0x2281 },
	{ "notfollowsoreql", 0x2AB0 },
	{ "notforces", 0x22AE },
	{ "notforcesextra", 0x22AF },
	{ "notgreaterdblequal", 0x2267 },
	{ "notgreaterequal", 0x2271 },
	{ "notgreaterorslnteql", 0x2A7E },
	{ "notlessdblequal", 0x2266 },
	{ "notlessequal", 0x2270 },
	{ "notlessorslnteql", 0x2A7D },
	{ "notprecedesoreql", 0x2AAF },
	{ "notsatisfies", 0x22AD },
	{ "notsimilar", 0x2241 },
	{ "notsubseteql", 0x2288 },
	{ "notsubsetordbleql", 0x2AC5 },
	{ "notsubsetoreql", 0x228A },
	{ "notsuperseteql", 0x2289 },
	{ "notsupersetordbleql", 0x2AC6 },
	{ "notsupersetoreql", 0x228B },
	{ "nottriangeqlleft", 0x22EC },
	{ "nottriangeqlright", 0x22ED },
	{ "nottriangleleft", 0x22EA },
	{ "nottriangleright", 0x22EB },
	{ "notturnstile", 0x22AC },
	{ "planckover2pi", 0x210F },
	{ "planckover2pi1", 0x210F },
	{ "precedenotdbleqv", 0x2AB9 },
	{ "precedenotslnteql", 0x2AB5 },
	{ "precedeornoteqvlnt", 0x22E8 },
	{ "subsetnoteql", 0x228A },
	{ "subsetornotdbleql", 0x2ACB },
	{ "supersetnoteql", 0x228B },
	{ "supersetornotdbleql", 0x2ACC },
	{ "upslope", 0x29F8 },

	{ 0, 0 }
};

const UINT g_uiUni2Wingdings[] = 
{
	0x270F	, 0x21,
	0x2702	, 0x22,
	0x2701	, 0x23,
	0x1F453	, 0x24,
	0x1F514	, 0x25,
	0x1F4D6	, 0x26,
	0x260E	, 0x28,
	0x2706	, 0x29,
	0x2709	, 0x2A,
	0x1F4EA	, 0x2C,
	0x1F4EB	, 0x2D,
	0x1F4EC	, 0x2E,
	0x1F4ED	, 0x2F,
	0x1F4C1	, 0x30,
	0x1F4C2	, 0x31,
	0x1F4C4	, 0x32,
	0x231B	, 0x36,
	0x2328	, 0x37,
	0x1F4BB	, 0x3A,
	0x1F4BE	, 0x3C,
	0x2707	, 0x3E,
	0x270D	, 0x3F,
	0x270C	, 0x41,
	0x1F44C	, 0x42,
	0x1F44D	, 0x43,
	0x1F44E	, 0x44,
	0x261C	, 0x45,
	0x261E	, 0x46,
	0x261D	, 0x47,
	0x261F	, 0x48,
	0x270B	, 0x49,
	0x263A	, 0x4A,
	0x1F610	, 0x4B,
	0x2639	, 0x4C,
	0x1F4A3	, 0x4D,
	0x2620	, 0x4E,
	0x2690	, 0x4F,
	0x1F6A9	, 0x50,
	0x2708	, 0x51,
	0x263C	, 0x52,
	0x1F4A7	, 0x53,
	0x2744	, 0x54,
	0x271E	, 0x56,
	0x2720	, 0x58,
	0x2721	, 0x59,
	0x262A	, 0x5A,
	0x262F	, 0x5B,
	0x0950	, 0x5C,
	0x2638	, 0x5D,
	0x2648	, 0x5E,
	0x2649	, 0x5F,
	0x264A	, 0x60,
	0x264B	, 0x61,
	0x264C	, 0x62,
	0x264D	, 0x63,
	0x264E	, 0x64,
	0x264F	, 0x65,
	0x2650	, 0x66,
	0x2651	, 0x67,
	0x2652	, 0x68,
	0x2653	, 0x69,
	0x0026	, 0x6A,
	0x0026	, 0x6B,
	0x25CF	, 0x6C,
	0x274D	, 0x6D,
	0x25A0	, 0x6E,
	0x25A1	, 0x6F,
	0x2751	, 0x71,
	0x2752	, 0x72,
	0x2B27	, 0x73,
	0x29EB	, 0x74,
	0x25C6	, 0x75,
	0x2756	, 0x76,
	0x2B25	, 0x77,
	0x2327	, 0x78,
	0x2353	, 0x79,
	0x2318	, 0x7A,
	0x2740	, 0x7B,
	0x273F	, 0x7C,
	0x275D	, 0x7D,
	0x275E	, 0x7E,
	0x25AF	, 0x7F,
	0x24EA	, 0x80,
	0x2460	, 0x81,
	0x2461	, 0x82,
	0x2462	, 0x83,
	0x2463	, 0x84,
	0x2464	, 0x85,
	0x2465	, 0x86,
	0x2466	, 0x87,
	0x2467	, 0x88,
	0x2468	, 0x89,
	0x2469	, 0x8A,
	0x24FF	, 0x8B,
	0x2776	, 0x8C,
	0x2777	, 0x8D,
	0x2778	, 0x8E,
	0x2779	, 0x8F,
	0x277A	, 0x90,
	0x277B	, 0x91,
	0x277C	, 0x92,
	0x277D	, 0x93,
	0x277E	, 0x94,
	0x277F	, 0x95,
	0x00B7	, 0x9E,
	0x2022	, 0x9F,
	0x25AA	, 0xA0,
	0x25CB	, 0xA1,
	0x2B55	, 0xA2,
	0x25C9	, 0xA4,
	0x25CE	, 0xA5,
	0x25AA	, 0xA7,
	0x25FB	, 0xA8,
	0x2726	, 0xAA,
	0x2605	, 0xAB,
	0x2736	, 0xAC,
	0x2734	, 0xAD,
	0x2739	, 0xAE,
	0x2735	, 0xAF,
	0x2316	, 0xB1,
	0x27E1	, 0xB2,
	0x2311	, 0xB3,
	0x272A	, 0xB5,
	0x2730	, 0xB6,
	0x1F550	, 0xB7,
	0x1F551	, 0xB8,
	0x1F552	, 0xB9,
	0x1F553	, 0xBA,
	0x1F554	, 0xBB,
	0x1F555	, 0xBC,
	0x1F556	, 0xBD,
	0x1F557	, 0xBE,
	0x1F558	, 0xBF,
	0x1F559	, 0xC0,
	0x1F55A	, 0xC1,
	0x1F55B	, 0xC2,
	0x232B	, 0xD5,
	0x2326	, 0xD6,
	0x27A2	, 0xD8,
	0x27B2	, 0xDC,
	0x2794	, 0xE8,
	0x21E6	, 0xEF,
	0x21E8	, 0xF0,
	0x21E7	, 0xF1,
	0x21E9	, 0xF2,
	0x2B04	, 0xF3,
	0x21F3	, 0xF4,
	0x2B00	, 0xF5,
	0x2B01	, 0xF6,
	0x2B03	, 0xF7,
	0x2B02	, 0xF8,
	0x25AD	, 0xF9,
	0x25AB	, 0xFA,
	0x2717	, 0xFB,
	0x2713	, 0xFC,
	0x2612	, 0xFD,
	0x2611	, 0xFE,
	0
};

const UINT g_uiUni2Symbol[] = 
{
//	0x0020, 0x20,
	0x0021, 0x21,
	0x2200, 0x22,
	0x0023, 0x23,
	0x2203, 0x24,
	0x0025, 0x25,
	0x0026, 0x26,
	0x220B, 0x27,
	0x0028, 0x28,
	0x0029, 0x29,
	0x2217, 0x2a,
	0x002B, 0x2b,
	0x002C, 0x2c,
	0x2212, 0x2d,
	0x002E, 0x2e,
	0x002F, 0x2f,
	0x0030, 0x30,
	0x0031, 0x31,
	0x0032, 0x32,
	0x0033, 0x33,
	0x0034, 0x34,
	0x0035, 0x35,
	0x0036, 0x36,
	0x0037, 0x37,
	0x0038, 0x38,
	0x0039, 0x39,
	0x003A, 0x3a,
	0x003B, 0x3b,
	0x003C, 0x3c,
	0x003D, 0x3d,
	0x003E, 0x3e,
	0x003F, 0x3f,
	0x2245, 0x40,
	0x0391, 0x41,
	0x0392, 0x42,
	0x03A7, 0x43,
	0x2206, 0x44,
	0x0395, 0x45,
	0x03A6, 0x46,
	0x0393, 0x47,
	0x0397, 0x48,
	0x0399, 0x49,
	0x03D1, 0x4a,
	0x039A, 0x4b,
	0x039B, 0x4c,
	0x039C, 0x4d,
	0x039D, 0x4e,
	0x039F, 0x4f,
	0x03A0, 0x50,
	0x0398, 0x51,
	0x03A1, 0x52,
	0x03A3, 0x53,
	0x03A4, 0x54,
	0x03A5, 0x55,
	0x03C2, 0x56,
	0x2126, 0x57,
	0x039E, 0x58,
	0x03A8, 0x59,
	0x0396, 0x5a,
	0x005B, 0x5b,
	0x2234, 0x5c,
	0x005D, 0x5d,
	0x22A5, 0x5e,
	0x005F, 0x5f,
	0xF8E5, 0x60,
	0x03B1, 0x61,
	0x03B2, 0x62,
	0x03C7, 0x63,
	0x03B4, 0x64,
	0x03B5, 0x65,
	0x03C6, 0x66,
	0x03B3, 0x67,
	0x03B7, 0x68,
	0x03B9, 0x69,
	0x03D5, 0x6a,
	0x03BA, 0x6b,
	0x03BB, 0x6c,
	0x00B5, 0x6d,
	0x03BD, 0x6e,
	0x03BF, 0x6f,
	0x03C0, 0x70,
	0x03B8, 0x71,
	0x03C1, 0x72,
	0x03C3, 0x73,
	0x03C4, 0x74,
	0x03C5, 0x75,
	0x03D6, 0x76,
	0x03C9, 0x77,
	0x03BE, 0x78,
	0x03C8, 0x79,
	0x03B6, 0x7a,
	0x007B, 0x7b,
	0x007C, 0x7c,
	0x007D, 0x7d,
	0x223C, 0x7e,
	0x20AC, 0xa0,
	0x03D2, 0xa1,
	0x2032, 0xa2,
	0x2264, 0xa3,
	0x2044, 0xa4,
	0x221E, 0xa5,
	0x0192, 0xa6,
	0x2663, 0xa7,
	0x2666, 0xa8,
	0x2665, 0xa9,
	0x2660, 0xaa,
	0x2194, 0xab,
	0x2190, 0xac,
	0x2191, 0xad,
	0x2192, 0xae,
	0x2193, 0xaf,
	0x00B0, 0xb0,
	0x00B1, 0xb1,
	0x2033, 0xb2,
	0x2265, 0xb3,
	0x00D7, 0xb4,
	0x221D, 0xb5,
	0x2202, 0xb6,
	0x2022, 0xb7,
	0x00F7, 0xb8,
	0x2260, 0xb9,
	0x2261, 0xba,
	0x2248, 0xbb,
	0x2026, 0xbc,
	0xF8E6, 0xbd,
	0xF8E7, 0xbe,
	0x21B5, 0xbf,
	0x2135, 0xc0,
	0x2111, 0xc1,
	0x211C, 0xc2,
	0x2118, 0xc3,
	0x2297, 0xc4,
	0x2295, 0xc5,
	0x2205, 0xc6,
	0x2229, 0xc7,
	0x222A, 0xc8,
	0x2283, 0xc9,
	0x2287, 0xca,
	0x2284, 0xcb,
	0x2282, 0xcc,
	0x2286, 0xcd,
	0x2208, 0xce,
	0x2209, 0xcf,
	0x2220, 0xd0,
	0x2207, 0xd1,
	0xF6DA, 0xd2,
	0xF6D9, 0xd3,
	0xF6DB, 0xd4,
	0x220F, 0xd5,
	0x221A, 0xd6,
	0x22C5, 0xd7,
	0x00AC, 0xd8,
	0x2227, 0xd9,
	0x2228, 0xda,
	0x21D4, 0xdb,
	0x21D0, 0xdc,
	0x21D1, 0xdd,
	0x21D2, 0xde,
	0x21D3, 0xdf,
	0x25CA, 0xe0,
	0x2329, 0xe1,
	0xF8E8, 0xe2,
	0xF8E9, 0xe3,
	0xF8EA, 0xe4,
	0x2211, 0xe5,
	0xF8EB, 0xe6,
	0xF8EC, 0xe7,
	0xF8ED, 0xe8,
	0xF8EE, 0xe9,
	0xF8EF, 0xea,
	0xF8F0, 0xeb,
	0xF8F1, 0xec,
	0xF8F2, 0xed,
	0xF8F3, 0xee,
	0xF8F4, 0xef,
	0x232A, 0xf1,
	0x222B, 0xf2,
	0x2320, 0xf3,
	0xF8F5, 0xf4,
	0x2321, 0xf5,
	0xF8F6, 0xf6,
	0xF8F7, 0xf7,
	0xF8F8, 0xf8,
	0xF8F9, 0xf9,
	0xF8FA, 0xfa,
	0xF8FB, 0xfb,
	0xF8FC, 0xfc,
	0xF8FD, 0xfd,
	0xF8FE, 0xfe,
	0
};
std::map<UINT, UINT> g_Uni2WingdingsMap;
std::map<UINT, UINT> g_Uni2SymbolMap;
std::map<std::string, UINT> g_GlyphName2UniMap;
/******************************************************************************
   Function:	MapUnicode2Wingdins
   Author:		Paul Gruzdev
   Purpose:     
   Returns:		UINT
   Parameters:	UINT uUnicode  
   Notes:       
******************************************************************************/
UINT MapUnicode2Wingdins(UINT uUnicode)
{
	if (g_Uni2WingdingsMap.empty())
	{
		for (int i = 0; g_uiUni2Wingdings[i] != 0; i += 2)
			g_Uni2WingdingsMap[g_uiUni2Wingdings[i]] = g_uiUni2Wingdings[i + 1];
	}

	std::map<UINT, UINT>::const_iterator it = g_Uni2WingdingsMap.find(uUnicode);

	if (g_Uni2WingdingsMap.end() != it)
		return 0xF000 + it->second;
	else
		// Paul: always preserve SPACE char as it's a special character Xara uses to properly position things up
		return uUnicode == 32 ? 32 : (0xF000 + (uUnicode & 0xFF));
}

/******************************************************************************
   Function:	MapUnicode2Symbol
   Author:		Pavel Ostapenko
   Purpose:     
   Returns:		UINT
   Parameters:	UINT uUnicode  
   Notes:       
******************************************************************************/
UINT MapUnicode2Symbol(UINT uUnicode)
{
	if (g_Uni2SymbolMap.empty())
	{
		for (int i = 0; g_uiUni2Symbol[i] != 0; i += 2)
			g_Uni2SymbolMap[g_uiUni2Symbol[i]] = g_uiUni2Symbol[i + 1];
	}

	std::map<UINT, UINT>::const_iterator it = g_Uni2SymbolMap.find(uUnicode);

 	if (g_Uni2SymbolMap.end() != it)
 		return 0xF000 + it->second;
	else
		// Paul: always preserve SPACE char as it's a special character Xara uses to properly position things up
		return uUnicode == 32 ? 32 : (0xF000 + (uUnicode & 0xFF));
}

/******************************************************************************
   Function:	MapWingdingsName2Uni
   Author:		Paul Gruzdev
   Purpose:     
   Returns:		UINT
   Parameters:	UINT uUnicode  
   Notes:       
******************************************************************************/
UINT MapWingdingsName2Uni(const char* name)
{
	if (g_GlyphName2UniMap.empty())
	{
		for (int i = 0; g_GlyphName2Uni[i].name != 0; i ++)
			g_GlyphName2UniMap[g_GlyphName2Uni[i].name] = g_GlyphName2Uni[i].unicode;
	}

	std::map<std::string, UINT>::const_iterator it = g_GlyphName2UniMap.find(std::string(name));
	return g_GlyphName2UniMap.end() != it ? it->second : 0;
}
