#pragma once;

enum EByteOrder { keLittleEndian, keBigEndian };
extern bool g_bIntelByteOrder;

int intel_strcmp(const char* s1, const char* s2);
int intel_strncmp(const char* s1, const char* s2, size_t c);
DWORD intel_l(DWORD n);
WORD intel_w(WORD n);
void intel_w(PSHORT n);
void intel_wstr(PSHORT strOut, PSHORT strIn, DWORD cnt);
void intel_wstr(PSHORT str);
void intel_wstr(PSHORT str, int cnt);
void intel_d(double *dn);
void intel_l(PDWORD n);
void intel_w(PWORD n);
short intel_n(PWORD n);
void intel_l(PLONG n);

inline void SetByteOrder(EByteOrder order) { g_bIntelByteOrder = (order == keLittleEndian) ? true : false; }
inline EByteOrder GetByteOrder() { return g_bIntelByteOrder ? keLittleEndian : keBigEndian; }
